<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>gateway documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">gateway documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content interface">
                   <div class="content-data">












<ol class="breadcrumb">
  <li>Interfaces</li>
  <li>IUserMongoEntity</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/services/users/models/index.ts</code>
        </p>


            <p class="comment">
                <h3>Extends</h3>
            </p>
            <p class="comment">
                        <code><a href="../interfaces/IUserEntityBase.html" target="_self" >IUserEntityBase</a></code>
            </p>




    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import {
    DevicePlatforms, IFirestoreEntity, IMongoEntity, IMongoStringEntity
} from &quot;./../../../models/common/common&quot;
import { ISocialAccount } from &quot;./social-account&quot;

export enum RoleTypes {
    PLEB &#x3D; &#x27;pleb&#x27;,
    AFFILIATE &#x3D; &#x27;affiliate&#x27;,
    MOD &#x3D; &#x27;mod&#x27;,
    ADMIN &#x3D; &#x27;admin&#x27;,
}

export enum RoleAccessTypes {
    READ_PINS &#x3D; &#x27;read:pins&#x27;,
    READ_WRITE_PINS &#x3D; &#x27;read-write:pins&#x27;,
}

export interface INotificationCredential {
    device_id: string
    notification_token: string
    platform: DevicePlatforms
    created: Date
    updated: Date
}

export interface IUserEntityBase {
    username: string
    password: string
    notification_credentials: INotificationCredential[]
    email: string
    qr_code: string
    social_accounts: ISocialAccount[]
    is_admin: boolean
    is_verified: boolean
    is_account_verified: boolean
    roles: RoleTypes[]
    role_access: RoleAccessTypes[]
    customer_id: string
    first_name: string
    last_name: string
    full_name: string
    avatar: string
    avatar_url: string
    private_account: boolean
    use_real_name: boolean
}

export interface IUserEntityBaseArrayMap {
    notification_credentials: INotificationCredential
    social_accounts: ISocialAccount
    roles: RoleTypes
    role_access: RoleAccessTypes
}

export interface IUserFireEntity extends IUserEntityBase, IFirestoreEntity, IMongoStringEntity {
}

export interface IUserMongoEntity extends IUserEntityBase, IMongoEntity, IFirestoreEntity { }</code></pre>
    </div>
</div>


                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'interface';
            var COMPODOC_CURRENT_PAGE_URL = 'IUserMongoEntity.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
